%macro orvu_create_central_moments(
                                    dataIn  = , 
                                    dataOut =
                                    );
   data &dataOut;
      set &dataIn;

      mean     = m1;
      std      = sqrt(m2 - m1 * m1);
      skewness = (m3 - 3 * m1 * m2 + 2 * (m1**3) ) / (std**3);
      kurtosis = (m4 - 4 * m1 * m3 + 6 * (m1**2) * m2 - 3 * (m1**4) ) / (std**4);
   run;
%mend orvu_create_central_moments;
